Error when running dada2 denoise-paired

Hi,

I’m trying to run the following code but I keep getting the error that follows and I’m not sure why… any help would be appreciated! I’m using qiime version 2019.10 on VirtualBox

qiime dada2 denoise-paired \

–i-demultiplexed-seqs demux-paired-end.qza
–p-trim-left-f 13
–p-trim-left-r 13
–p-trunc-len-f 251
–p-trunc-len-r 251
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza
–verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp3fnjl50p/forward /tmp/tmp3fnjl50p/reverse /tmp/tmp3fnjl50p/output.tsv.biom /tmp/tmp3fnjl50p/track.tsv /tmp/tmp3fnjl50p/filt_f /tmp/tmp3fnjl50p/filt_r 251 251 13 13 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4

  1. Filtering Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp3fnjl50p/forward’, ‘/tmp/tmp3fnjl50p/reverse’, ‘/tmp/tmp3fnjl50p/output.tsv.biom’, ‘/tmp/tmp3fnjl50p/track.tsv’, ‘/tmp/tmp3fnjl50p/filt_f’, ‘/tmp/tmp3fnjl50p/filt_r’, ‘251’, ‘251’, ‘13’, ‘13’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired

Welcome to the forum @Doug_Szeto!

This indicates a memory error. Since you are working in VirtualBox, it is quite likely that you do not have enough memory allocated to the virtual machine. Check out the VB instructions to figure out how to allocate more memory and give it as much as you can!

Good luck!

1 Like

Thank you, this worked!